@media(max-width:991px) {

    .gallery-card {
        min-width: 48%;
        height: 350px;
    }

    .section-title {
        font-size: 30px;
    }

    .hero-title {
        font-size: 54px;
    }

    .hero-subtitle {
        font-size: 18px;
    }

    .cta-box {
        padding: 30px;
        text-align: center;
    }

    .cta-content h2 {
        font-size: 30px;
    }

    .cta-content p {
        font-size: 15px;
    }

    .eventList-content h1 {
        font-size: 36px;
    }

    .event-wrapper {
        max-width: 100%;
        margin: 150px auto 32px;
    }

    .event-title {
        font-size: 36px;
    }

    .event-infobg {
        padding-bottom: 0;
    }

    .masonry-grid {
        column-count: 3;
    }

    .tech-number {
        font-size: 20px;
    }

    .privacyHeading {
        font-size: 26px;
        line-height: 1.4;
    }
}

@media(max-width:767px) {

    .gallery-track {
        overflow: visible;
        scroll-snap-type: none;
    }

    .swiper-slide {
        display: block;
    }

    .gallery-card {
        width: 90%;
        max-width: none;
        height: 400px;
        margin: 0 auto;
        border-radius: 18px;
        scroll-snap-align: none;
    }

    .gallery-card img {
        width: 100%;
        height: 100%;
        object-fit: cover;
        display: block;
    }

    .section-title {
        font-size: 26px;
    }

    .hero-title {
        font-size: 42px;
    }

    .hero-subtitle {
        font-size: 16px;
    }

    .btn-primary-custom,
    .btn-outline-custom {
        width: 100%;
    }

    .about-section {
        padding: 70px 0;
    }

    .cta-content h2 {
        font-size: 24px;
    }

    .cta-btn {
        width: 100%;
    }

    .footer-links a {
        font-size: 14px;
    }

    .event-infobgn {
        padding: 100px 15px 40px;
    }

    .event-wrapper {
        border-radius: 15px;
    }

    .poster-img {
        height: 400px;
    }

    .event-title {
        font-size: 30px;
    }

    .masonry-grid {
        column-count: 2;
    }

    .gallery-item.small,
    .gallery-item.medium,
    .gallery-item.large,
    .gallery-item.tall {
        height: 100%;
    }

    .application-section {
        padding: 50px 0;
    }

    .career-form-wrapper {
        padding: 25px;
    }

    .technique-item {
        gap: 15px;
    }

    .tech-number {
        min-width: 45px;
        font-size: 18px;
    }

    .privacyHeading {
        font-size: 22px;
        line-height: 1.4;
    }
}

@media(max-width:575px) {
    .btnWidth {
        max-width: auto;
    }

    .Eventlist-banner {
        min-height: 500px;
    }

    .eventList-content h1 {
        font-size: 28px;
    }

    .event-title {
        font-size: 28px;
    }

    .event-description {
        font-size: 14px;
    }

    .masonry-grid {
        column-count: 1;
    }
}